Subject: Re: [PATCH net] tcp: Avoid time_after32() underflow when handling syncookies

From: Guillaume Nault <[email-masked]>
Date: Wed, 4 Dec 2019 19:05:20 +0100

On Wed, Dec 04, 2019 at 08:53:08AM -0800, Eric Dumazet wrote:
> 
> 
> On 12/4/19 6:34 AM, Guillaume Nault wrote:
> > On Tue, Dec 03, 2019 at 06:20:24PM -0800, Eric Dumazet wrote:
> >>
> >> Sorry I am completely lost with this amount of text.
> >>
> > No problem. I'll write a v2 and remork the problem description to make
> > it clearer.
> > 
> >> Whatever solution you come up with, make sure it covers all the points
> >> that have been raised.
> >>
> > Will do.
> > Thanks.
> > 
> 
> Le me apologize for my last email.
> 
> I should have slept first after my long day.
> 
> Thanks a lot for working on this !
> 
No problem :)

I'm preparing a small series, splitting the valid syncookie and stray
ACK cases.
I expect to have something ready later tonight.